<?php
  include("adm/conexao_e_agenda.php");
 // include("limpa_key.php");  
 //print_r($_POST);
 //exit();
  
  $a = session_id();
  if(empty($a)) session_start();
//echo "<br>session_id(): ".session_id();//."<br>COOKIE: ".$_COOKIE["PHPSESSID"];	 
  $session_id = session_id(); 
  $data_simul = date("Y-m-d");
  
  $results = mysqli_query($conexao,"SELECT * FROM pedidos WHERE 
  id_session='$session_id'") or die (mysqli_error($conexao));
  $jaexiste=mysqli_num_rows($results);
  
  if($jaexiste==0){
  $result = mysqli_query($conexao,"INSERT INTO pedidos SET   
  id_cliente='0',  
  data_pedido='$data_simul',
  id_session='$session_id',
  valor='0.00',
  frete='0.00',
  peso='0.00',
  comprimento='0.00',
  largura='0.00',
  altura='0.00',  
  valor_total='0.00',
  status='0',
  transaction_id='0' 
  ") or die (mysqli_error($conexao));
  $id_pedido = mysqli_insert_id($conexao);
  }	
  
  //$_SESSION['voltando'] = $_SERVER['REQUEST_URI']; 
  $result = mysqli_query($conexao,"INSERT INTO pedidos_itens SET   
  id_produto='$_POST[item_id]', 
  tipo='$_POST[tipo]',
  descricao='$_POST[item_descr]',
  quantidade='$_POST[item_quant]',
  valor='$_POST[item_valor]',
  peso='$_POST[item_peso]',
  comprimento='$_POST[item_comprimento]',
  largura='$_POST[item_largura]',
  altura='$_POST[item_altura]',
  id_session='$session_id',
  dt_compra='$data_simul'
  ") or die (mysqli_error($conexao)); 
  
         $sqlq="SELECT SUM(quantidade) as qtde FROM pedidos_itens WHERE id_session='$session_id' AND tipo='1' ORDER BY id ASC";
         $resultq=mysqli_query($conexao,$sqlq) or die (mysqli_error($conexao));
		 $linha_ausq=mysqli_fetch_array($resultq);
		 $qtd_prods = $linha_ausq["qtde"];		 
	
	     $sqlq2="SELECT SUM(quantidade) as qtde FROM pedidos_itens WHERE id_session='$session_id' AND tipo='2' ORDER BY id ASC";
         $resultq2=mysqli_query($conexao,$sqlq2) or die (mysqli_error($conexao));
		 $linha_ausq2=mysqli_fetch_array($resultq2);
		 $qtd_frete = $linha_ausq2["qtde"];
		 	
  if($qtd_prods>$qtd_frete){
	$sql="DELETE FROM pedidos_itens WHERE id_session='$session_id'  AND tipo='2' ";
         $result=mysqli_query($conexao,$sql) or die (mysqli_error($conexao));  
  }  
?>
<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Expires" content="-1">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>CARRINHO DE COMPRAS - CABELOS E CREMES</title>
<meta name="Description" content="">
<meta name="Author" content="Marcos Antonio Pereira Lopes">
<meta name="Keywords" content="">
<script language="JavaScript">
<!--
function Redireciona(){
   //alert(<? //echo $alerta; ?>);
   open('carrinho.php', '_top');
}
-->
</script>
</head>
<body onLoad="JavaScript:Redireciona()">  
	  

</body>
</html>